Package ru.bitel.bgbilling.kernel.network.radius

# Interface RadiusProtocolHandler

All Known Subinterfaces:
  `ProtocolHandler`

All Known Implementing Classes:
  `ProtocolHandlerAdapter`

public interface RadiusProtocolHandler
Обработчик RADIUS-запросов

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default String`
  `overrideNasIdentifier(RadiusPacket request)`
  Возможность переопределения NAS-Identifier, для того, чтобы запрос обрабатывался другим NAS-ом.
  `void`
  `postprocessAccessRequest(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet)`
  Постобработка RADIUS-запроса Access-Request
  `void`
  `postprocessAccountingRequest(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet)`
  Постобработка RADIUS-запроса Accounting-Request
  `void`
  `preprocessAccessRequest(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet)`
  Предобработка RADIUS-запроса Access-Request
  `void`
  `preprocessAccountingRequest(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet)`
  Предобработка RADIUS-запроса Accounting-Request

- ## Method Details

  - ### overrideNasIdentifier

    default String overrideNasIdentifier(RadiusPacket request) throws Exception
    Возможность переопределения NAS-Identifier, для того, чтобы запрос обрабатывался другим NAS-ом. Должен работать одинаково и для Access-Request, и для Accounting-Request.
    Parameters:
      `request` -
    Returns:
    Throws:
      `Exception`

  - ### preprocessAccessRequest

    void preprocessAccessRequest(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet) throws Exception
    Предобработка RADIUS-запроса Access-Request
    Parameters:
      `request` -
      `response` -
      `connectionSet` -
    Throws:
      `Exception`

  - ### postprocessAccessRequest

    void postprocessAccessRequest(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet) throws Exception
    Постобработка RADIUS-запроса Access-Request
    Parameters:
      `request` -
      `response` -
      `connectionSet` -
    Throws:
      `Exception`

  - ### preprocessAccountingRequest

    void preprocessAccountingRequest(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet) throws Exception
    Предобработка RADIUS-запроса Accounting-Request
    Parameters:
      `request` -
      `response` -
      `connectionSet` -
    Throws:
      `Exception`

  - ### postprocessAccountingRequest

    void postprocessAccountingRequest(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet) throws Exception
    Постобработка RADIUS-запроса Accounting-Request
    Parameters:
      `request` -
      `response` -
      `connectionSet` -
    Throws:
      `Exception`